Skip to main content
GET
/
v1
/
data
/
consumer-insights
cURL
curl --request GET \
  --url https://api.statista.ai/v1/data/consumer-insights \
  --header 'x-api-key: <api-key>'
{
  "identifier": {
    "rows": "<string>",
    "survey_id": "<string>",
    "columns": "<string>",
    "filters": [
      "<string>"
    ]
  },
  "title": "<string>",
  "subject": "<string>",
  "description": "<string>",
  "link": "<string>",
  "date": "<string>",
  "sources": [
    "<string>"
  ],
  "interpretation_hint": "<string>",
  "geolocations": [
    {
      "name": "<string>",
      "code": "<string>"
    }
  ],
  "chart": {
    "description": "<string>",
    "dataFormat": "<string>",
    "valueUnit": "<string>",
    "data": {}
  }
}
Retrieve cross tabulated survey data for a combination of question and answer ID(s). Answer IDs consist of the question ID, a postfix of ’#’, and a number, such as v0025_demo_regiondeu#3. Impact of rows, columns, and filter parameter combinations on the result:
  • only rows provided: “frequency table” (like “Internet provider“, rows are Telekom, Vodafone, …, there is a single column that contains how many respondents picked the respective answer)
  • rows and columns provided: compute a “cross table” such as (“Internet provider by generation”, rows are Telekom, Vodafone, … columns are Baby Boomer, Gen X, … cells contain values like “what percentage of Gen X uses Vodafone”)
  • rows and filters provided: the same as “frequency table” but restricted to only the group of respondents that matches the filter
  • rows, columns, and filters provided: cross table but restricted to the group of respondents that matches the filter

Filters

Filters are a comma-separated list of answer IDs. Filters on different questions are AND, filters on the same question are OR. Example: v0013g_demo_generation#4,v0025_demo_regiondeu#3,v0025_demo_regiondeu#6 Interpretation: Gen Z AND (living in Hamburg OR living in Berlin)

Authorizations

x-api-key
string
header
required

Query Parameters

rows
string
required

The question or answer ID from a survey to select data for the crosstable.

columns
string

The question or answer ID from a survey to select data for the crosstable.

filters
string

Comma-separated list of answer IDs. Enables filtering respondents by target group.

country
string

Single, 3 letter, ISO 3166-1 alpha-3 country code, such as 'USA' or 'GBR', to target a specific country.

Required string length: 3
year
integer<uint16>

Survey year as 4 digit value, default: current year

Required range: x >= 1900

Response

The request has succeeded.

identifier
object
required

A composit ID for this cross-table

title
string
required

What is the data about.

subject
string
required

A short summary of what the data shows.

description
string
required

A more comprehensive text, explaining the most important facts about the data.

The website address (URL) where you can see the full content off the survey.

date
string
required

The year when data was compiled. Format: YYYY.

sources
string[]
required

List of sources, from which was the data derived.

interpretation_hint
string
required

Short description to help LLMs interpret the data.

geolocations
object[]
required

The countries the data is covering.

chart
object
required

Descriptions and the actual numeric data of the cross-table.